# $Revision: 1.17 $, $Date: 2007/01/27 20:55:48 $
Summary:	Battery monitor panel plugin for Xfce
Summary(pl):	Monitor zuycia baterii dla panelu Xfce
Name:		xfce4-battery-plugin
Version:	0.5.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://goodies.xfce.org/releases/xfce4-battery-plugin/%{name}-%{version}.tar.bz2
# Source0-md5:	c1d923bb90b79087ca7044bcc24bab5a
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-battery-plugin
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Battery monitor panel plugin for Xfce.

%description -l pl
Wtyczka dla panelu Xfce pokazujca zuycie baterii.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-battery-plugin
%{_datadir}/xfce4/panel-plugins/battmon.desktop
%{_iconsdir}/hicolor/*/devices/*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-battery-plugin.spec,v $
Revision 1.17  2007/01/27 20:55:48  megabajt
- up to 0.5.0

Revision 1.16  2006/02/27 09:36:44  rotom
- up to 0.3.0

Revision 1.15  2005/03/09 19:38:37  qboosh
- BR: ac,am,lt

Revision 1.14  2005/03/09 10:51:42  havner
- rel 5

Revision 1.13  2005/03/09 10:51:20  havner
- ac/am regeneration (required)

Revision 1.12  2005/03/09 09:09:51  havner
- rel up for rebuild with xfce 4.2

Revision 1.11  2004/12/22 15:31:15  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.10  2004/11/27 19:13:03  havner
- rel up for rebuild with xfce4

Revision 1.9  2004/07/12 20:31:04  troll
- rel++ to rebuild with new XFce

Revision 1.8  2004/03/06 13:37:43  andree
- cp config.sub .

Revision 1.7  2003/11/26 16:33:22  andree
- change URL to http://xfce-goodies.berlios.de/

Revision 1.6  2003/11/13 23:41:35  andree
- back to rm -f *.la

Revision 1.5  2003/11/13 22:54:43  andree
- change rm -f *.la to *.{a,la}

Revision 1.4  2003/11/13 11:02:05  qboosh
- BR: pkgconfig, added xfce4-panel version; removed useless files

Revision 1.3  2003/11/04 22:37:10  qboosh
- License is BSD-like, BR: xfce4-panel-devel

Revision 1.2  2003/11/03 15:52:34  ankry
- dots

Revision 1.1  2003/11/03 15:42:11  andree
- initial release
